Various shorthand operator functions

## Index

### Functions

- add
- and
- band
- bnot
- bor
- bxor
- div
- eq
- ge
- gt
- le
- lt
- max
- min
- mod
- mul
- ne
- neg
- not
- or
- pow
- shl
- shr
- sru
- sub
- xor

## Functions

### add

- add(x: number, y: number): number

- - Defined in fn/common.ts:89

  Add

  #### Parameters

  - x: number
  - y: number

  #### Returns number

### and

- and(x: boolean, y: boolean): boolean

- - Defined in fn/common.ts:117

  Logical AND

  #### Parameters

  - x: boolean
  - y: boolean

  #### Returns boolean

### band

- band(x: number, y: number): number

- - Defined in fn/common.ts:109

  Bitwise AND

  #### Parameters

  - x: number
  - y: number

  #### Returns number

### bnot

- bnot(x: number): number

- - Defined in fn/common.ts:115

  Bitwise NOT

  #### Parameters

  - x: number

  #### Returns number

### bor

- bor(x: number, y: number): number

- - Defined in fn/common.ts:111

  Bitwise OR

  #### Parameters

  - x: number
  - y: number

  #### Returns number

### bxor

- bxor(x: number, y: number): number

- - Defined in fn/common.ts:113

  Bitwise XOR

  #### Parameters

  - x: number
  - y: number

  #### Returns number

### div

- div(x: number, y: number): number

- - Defined in fn/common.ts:97

  Divide

  #### Parameters

  - x: number
  - y: number

  #### Returns number

### eq

- eq<T>(x: T, y: T): boolean

- - Defined in fn/common.ts:133

  Relational equals

  #### Type parameters

  - T

  #### Parameters

  - x: T
  - y: T

  #### Returns boolean

### ge

- ge<T>(x: T, y: T): boolean

- - Defined in fn/common.ts:127

  Relational greater-than-equals

  #### Type parameters

  - T

  #### Parameters

  - x: T
  - y: T

  #### Returns boolean

### gt

- gt<T>(x: T, y: T): boolean

- - Defined in fn/common.ts:125

  Relational greater-than

  #### Type parameters

  - T

  #### Parameters

  - x: T
  - y: T

  #### Returns boolean

### le

- le<T>(x: T, y: T): boolean

- - Defined in fn/common.ts:131

  Relational less-than-equals

  #### Type parameters

  - T

  #### Parameters

  - x: T
  - y: T

  #### Returns boolean

### lt

- lt<T>(x: T, y: T): boolean

- - Defined in fn/common.ts:129

  Relational less-than

  #### Type parameters

  - T

  #### Parameters

  - x: T
  - y: T

  #### Returns boolean

### max

- max<T>(x: T, y: T): T

- - Defined in fn/common.ts:139

  Relational maximum

  #### Type parameters

  - T

  #### Parameters

  - x: T
  - y: T

  #### Returns T

### min

- min<T>(x: T, y: T): T

- - Defined in fn/common.ts:137

  Relational minimum

  #### Type parameters

  - T

  #### Parameters

  - x: T
  - y: T

  #### Returns T

### mod

- mod(x: number, y: number): number

- - Defined in fn/common.ts:99

  Modulo

  #### Parameters

  - x: number
  - y: number

  #### Returns number

### mul

- mul(x: number, y: number): number

- - Defined in fn/common.ts:93

  Multiply

  #### Parameters

  - x: number
  - y: number

  #### Returns number

### ne

- ne<T>(x: T, y: T): boolean

- - Defined in fn/common.ts:135

  Relational not-equals

  #### Type parameters

  - T

  #### Parameters

  - x: T
  - y: T

  #### Returns boolean

### neg

- neg(x: number): number

- - Defined in fn/common.ts:107

  Negate

  #### Parameters

  - x: number

  #### Returns number

### not

- not(x: boolean): boolean

- - Defined in fn/common.ts:123

  Logical NOT

  #### Parameters

  - x: boolean

  #### Returns boolean

### or

- or(x: boolean, y: boolean): boolean

- - Defined in fn/common.ts:119

  Logical OR

  #### Parameters

  - x: boolean
  - y: boolean

  #### Returns boolean

### pow

- pow(x: number, y: number): number

- - Defined in fn/common.ts:95

  Exponentiate

  #### Parameters

  - x: number
  - y: number

  #### Returns number

### shl

- shl(x: number, n: number): number

- - Defined in fn/common.ts:101

  Left shift

  #### Parameters

  - x: number
  - n: number

  #### Returns number

### shr

- shr(x: number, n: number): number

- - Defined in fn/common.ts:103

  Right shift

  #### Parameters

  - x: number
  - n: number

  #### Returns number

### sru

- sru(x: number, n: number): number

- - Defined in fn/common.ts:105

  Unsigned right shift

  #### Parameters

  - x: number
  - n: number

  #### Returns number

### sub

- sub(x: number, y: number): number

- - Defined in fn/common.ts:91

  Subtract

  #### Parameters

  - x: number
  - y: number

  #### Returns number

### xor

- xor(x: boolean, y: boolean): boolean

- - Defined in fn/common.ts:121

  Logical XOR

  #### Parameters

  - x: boolean
  - y: boolean

  #### Returns boolean

Generated using TypeDoc